Subject: Re: [PATCH] Revert "net: Remove state argument from skb_find_text()"

From: Pablo Neira Ayuso <[email-masked]>
Date: Tue, 7 Feb 2017 13:36:16 +0100

On Sat, Feb 04, 2017 at 09:48:30PM -0800, Igor Pylypiv wrote:
> This reverts commit 059a2440fd3cf4ec57735db2c0a90401cde84fca.
> 
> Textsearch state parameter should be passed by pointer because
> its resulting value is needed for call to textsearch_next().

You're right this renders textsearch_next() useless.

But I remember David took this one time ago because there are no
clients for textsearch_next() in the tree, apart from
textsearch_find().

Am I missing anything?

Thanks.